package jnet.lib.object;

import java.io.Serializable;


public class Event implements Serializable{
    
    private int id;
    private int object;
    private long start;
    private long end;
    private String description;
    private int type;
    
    public static final int TYPE_PING = 1;
    public static final int TYPE_SNMP = 2;
    public static final int TYPE_INFO = 3;
    public static final int TYPE_PING_OFF = 4;
    public static final int TYPE_PING_ON = 5;

    public Event(int id, int object, long start, long end, String description, int type) {
        this.id = id;
        this.object = object;
        this.start = start;
        this.end = end;
        this.description = description;
        this.type = type;
    }
    
    public Event(int object, long start, String description, int type) {
        this.object = object;
        this.start = start;
        this.description = description;
        this.type = type;
    }

    public int getObject() {
        return object;
    }

    public void setObject(int object) {
        this.object = object;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public long getStart() {
        return start;
    }

    public void setStart(long start) {
        this.start = start;
    }

    public long getEnd() {
        return end;
    }

    public void setEnd(long end) {
        this.end = end;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    
    
}
